Bug 450883 - Progress meter show more than 100% "total" download
Progress meter show more than 100% "total" download
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python-urlgrabber (Show other bugs)
9
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: James Antill
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-11 11:43 EDT by Kulbir Saini
Modified: 2014-01-21 18:03 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:59:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot showing yum progress meter bug (197.82 KB, image/png)
2008-06-11 11:43 EDT, Kulbir Saini
no flags Details

  None (edit)
Description Kulbir Saini 2008-06-11 11:43:30 EDT
Description of problem: When I use yum to install/update anything and there is
time out error and yum tries to fetch the same package from another mirror. At
this point yum counts the partially downloaded packages while calculating the
overall percentage. Due to this the overall downloaded %age overshoot 100%. Well
this thing can't be explained using words, image in attachment will give you the
exact idea.


Version-Release number of selected component (if applicable):
yum-3.2.14-10.fc9.noarch

How reproducible:
Always

Steps to Reproduce:
1.Use yum to install/update any package
2.Disconnect internet for some that a socket time out error occurs and reconnect
after the first timeout ( do all this while yum is downloading)
3.See the overall %age downloaded
  
Actual results:
More than 100% downloads

Expected results:
Overall download should be 100%

Additional info:
Image attached.
Comment 1 Kulbir Saini 2008-06-11 11:43:30 EDT
Created attachment 308947 [details]
Screenshot showing yum progress meter bug
Comment 2 James Antill 2008-06-11 11:49:36 EDT
 I think the problem is the socket timeout, as the size of the package was still
counted in that case.
Comment 3 Bug Zapper 2009-06-09 21:33:25 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 13:59:58 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.